//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. --proto_path=. --proto_path=vendor/gitlab.mashroom.com/mashroom/backend mashroom_notification.proto
//go:generate rm -r vendor
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package notification - api definition
package notification // import "gitlab.mashroom.com/mashroom/backend/notification/api"

import (
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic/query" // required vendor
	_ "gitlab.mashroom.com/mashroom/backend/common/api/protobuf"      // required vendor
	_ "gitlab.mashroom.com/mashroom/backend/messaging/api"            // required vendor
)
