module gitlab.mashroom.com/mashroom/backend/notification

go 1.16

replace gitlab.mashroom.com/mashroom/backend/notification/api => ./api

require (
	github.com/camunda-cloud/zeebe/clients/go v1.0.1
	github.com/domodwyer/mailyak v3.1.1+incompatible
	github.com/go-bindata/go-bindata/v3 v3.1.3
	github.com/go-redis/redis/v8 v8.11.0
	github.com/golang-migrate/migrate/v4 v4.14.1
	github.com/golang/protobuf v1.4.3
	github.com/jmoiron/sqlx v1.3.4
	github.com/lib/pq v1.10.2
	github.com/sendgrid/rest v2.6.4+incompatible
	github.com/sendgrid/sendgrid-go v3.10.0+incompatible
	github.com/sfreiberg/gotwilio v0.0.0-20201211181435-c426a3710ab5
	github.com/ttacon/builder v0.0.0-20170518171403-c099f663e1c2 // indirect
	github.com/ttacon/libphonenumber v1.2.1
	gitlab.mashroom.com/mashroom/backend/account/api v0.0.0-20210826085837-01c8ffdaea0d
	gitlab.mashroom.com/mashroom/backend/common/api v0.0.0-20210920134323-2c3584d5b2c5
	gitlab.mashroom.com/mashroom/backend/common/generic v0.0.0-20210920134323-2c3584d5b2c5
	gitlab.mashroom.com/mashroom/backend/document/api v0.0.0-20210826142139-7577e82819a7
	gitlab.mashroom.com/mashroom/backend/invitation/api v0.0.0-20210924232049-828941015e98
	gitlab.mashroom.com/mashroom/backend/maintenance/api v0.0.0-20210810165511-0f69c9ea948c
	gitlab.mashroom.com/mashroom/backend/messaging/api v0.0.0-20210818074206-a1aad07faa8f
	gitlab.mashroom.com/mashroom/backend/mortgage/api v0.0.0-20210826084412-2acb53be94e6
	gitlab.mashroom.com/mashroom/backend/notification/api v0.0.0-20210926144524-f8c538b1e010
	gitlab.mashroom.com/mashroom/backend/offer/api v0.0.0-20210918113141-233fbeb22d3c
	gitlab.mashroom.com/mashroom/backend/property/api v0.0.0-20210918113433-a82692cc1a73
	golang.org/x/tools v0.1.4
	google.golang.org/protobuf v1.25.0
	gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b // indirect
	zgo.at/zcache v1.0.0
)
