package task

import (
	"encoding/json"
)

// Task represents single notification handler invocation
type Task struct {
	AckID string          `json:"-"`     // identifier ACK to when processing invocation
	Data  json.RawMessage `json:"data"`  // invocation data, specific to given handler
	LogID uint64          `json:"logID"` // notification log entry ID
	Retry int             `json:"retry"` // retry count
}
