// Package payment notification actions
package payment

import (
	notification "gitlab.mashroom.com/mashroom/backend/notification/api"
	"gitlab.mashroom.com/mashroom/backend/notification/internal/template"
)

// Registry map
var Registry = template.ActionMap{
	notification.Action_ACTION_COMPLETE: template.Action(
		template.WithActorRole(
			notification.Role_ROLE_UNKNOWN,
			notification.Role_ROLE_LANDLORD,
			// notification.EventType_EVENT_PAYMENT_PAID_HEI_LANDLORD:
			template.WithChannel(
				notification.EventChannel_EVENT_CHANNEL_EMAIL,
				template.WithSendgridTemplate("d-ac26001039dc4d18a61fb16b6c84c9b0"),
			),
			template.WithChannel(
				notification.EventChannel_EVENT_CHANNEL_PLATFORM,
				template.WithGoTemplate(
					`Your policy documents and invoice for mashroom Home Emergency Insurance`,
				),
			),
		),
	),
}
