// Package message notification actions
package message

import (
	notification "gitlab.mashroom.com/mashroom/backend/notification/api"
	"gitlab.mashroom.com/mashroom/backend/notification/internal/template"
)

// Registry map
var Registry = template.ActionMap{
	notification.Action_ACTION_CREATE: template.Action(
		template.WithActorRole(
			notification.Role_ROLE_UNKNOWN,
			notification.Role_ROLE_UNKNOWN,
			// notification.EventType_EVENT_MESSAGE_RECEIVED:
			template.WithChannel(
				notification.EventChannel_EVENT_CHANNEL_SMS,
				template.WithGoTemplate(
					`Hey {{.recipient.name}}! You have unread messages on Mashroom,`+
						` log in to see them {{.site}}`,
				),
			),
		),
	),
}
