// Package transaction notification actions
package transaction

import (
	notification "gitlab.mashroom.com/mashroom/backend/notification/api"
	"gitlab.mashroom.com/mashroom/backend/notification/internal/template"
)

// Registry map
var Registry = template.ActionMap{
	notification.Action_ACTION_UPDATE: template.Action(
		template.WithActorRole(
			notification.Role_ROLE_UNKNOWN,
			notification.Role_ROLE_ADMIN,
			// notification.EventType_EVENT_PAYMENT_NEW_UPLOADED:
			template.WithChannel(
				notification.EventChannel_EVENT_CHANNEL_EMAIL,
				template.WithSubject(`Uploaded new payments`),
				template.WithGoTemplate(`Hi {{.recipient.name}}, new payments uploaded.`),
			),
		),
	),
}
