// Package platform provides handler for platform messaging service
package platform

import (
	messaging "gitlab.mashroom.com/mashroom/backend/messaging/api"
	"gitlab.mashroom.com/mashroom/backend/notification/internal/handlers"
)

// Config for handler
type Config struct {
	Messaging messaging.MessagingServiceClient
}

// NewHandler returns new handler instance
func NewHandler(config *Config) handlers.Handler {
	return &handlerImpl{
		config: *config,
	}
}
