// Package twilio provides handler for twilio SMS provider
package twilio

import (
	"github.com/sfreiberg/gotwilio"
	"gitlab.mashroom.com/mashroom/backend/notification/internal/handlers"
)

// Config for handler
type Config struct {
	Client         *gotwilio.Twilio
	ServiceSID     string
	StatusCallback string
	ApplicationSID string
	Site           string
}

// NewHandler returns new handler instance
func NewHandler(config *Config) handlers.Handler {
	return &handlerImpl{
		config: *config,
	}
}
