package task

import "encoding/json"

// SMS task
type SMS struct {
	Phone string `json:"phone,omitempty"`
	Body  string `json:"body,omitempty"`
}

// NewSMS returns new SMS task
func NewSMS(phone, body string) *Task {
	t := &SMS{
		Phone: phone,
		Body:  body,
	}

	bs, _ := json.Marshal(t)

	return &Task{
		Data: bs,
	}
}
