// Package depositreplacement notification actions
package depositreplacement

import (
	notification "gitlab.mashroom.com/mashroom/backend/notification/api"
	"gitlab.mashroom.com/mashroom/backend/notification/internal/template"
)

// Registry map
var Registry = template.ActionMap{
	notification.Action_ACTION_CREATE: template.Action(
		template.WithActorRole(
			notification.Role_ROLE_UNKNOWN,
			notification.Role_ROLE_ADMIN,
			template.WithChannel(
				notification.EventChannel_EVENT_CHANNEL_EMAIL,
				template.WithSubject(
					`New Deposit Replacement Product order from mashroom`,
				),
				template.WithGoTemplate(
					`Please find attached the details of an order made on the mashroom platform`+
						` for the Deposit Replacement Product`,
				),
			),
		),
	),
}
